Show estimated hours on the overview page as well as spent hours

2019-01-18 14:03 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

Currently, you can see total spent hours on the project overview page.

I think it is useful for project managers if total estimated hours are shown as well.

 

Associated revisions

Revision 17838 - 2019-01-23 00:34 - Go MAEDA

Show estimated time on the overview page as well as spent time (#30464).

Patch by Go MAEDA.

History

#1 - 2019-01-18 20:36 - Anonymous

+1, yes please! 471854100984758274.png 
#2 - 2019-01-19 11:29 - Bernhard Rohloff

+1 Yes, could be useful.

I would also be great to have this information in a nice bar chart. But this is a future topic. ;-)

#3 - 2019-01-22 03:27 - Go MAEDA

- File estimated-hours-on-overview-page-v2.diff added

- Category changed from UI to Time tracking

Added a test to the previous patch. The updated fixture issues.yml is identical to the one in the patch #30474.

#4 - 2019-01-22 07:00 - Go MAEDA

- Target version set to 4.1.0

Setting the target version to 4.1.0.

#5 - 2019-01-22 07:26 - Marius BĂLTEANU

I think we should show first estimated hours and spent time after (it is more natural).

#6 - 2019-01-22 07:37 - Go MAEDA

- File version-show@2x.png added

Marius BALTEANU wrote:

I think we should show first estimated hours and spent time after (it is more natural).

 Thanks, probably you are right.

Although I prefer to show spent time first, I found that VersionsController#show shows estimated time first. I think I have to update my patch for

consistency.

 

#7 - 2019-01-22 15:25 - Go MAEDA

- File estimated-hours-on-overview-page-v3.diff added

Marius BALTEANU wrote:

I think we should show first estimated hours and spent time after (it is more natural).

 Updated the patch. The new patch switched the position of spent time and estimated time.

#8 - 2019-01-23 00:35 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed
https://www.redmine.org/issues/30474


Committed.

Files

time-tracking-box@2x.png 72.8 KB 2019-01-18 Go MAEDA

estimated-hours-on-overview-page.diff 1.49 KB 2019-01-18 Go MAEDA

estimated-hours-on-overview-page-v2.diff 3.09 KB 2019-01-22 Go MAEDA

version-show@2x.png 27.8 KB 2019-01-22 Go MAEDA

estimated-hours-on-overview-page-v3.diff 2.31 KB 2019-01-22 Go MAEDA
